6 Replies Latest reply on May 18, 2015 6:52 AM by rugfoot

    Can't import from other LR catelog?

    rugfoot Level 1

      I'm getting an error message saying I can't import from another LR catelog because the catelog was created in a newer version of LR. But I've checked for updates and my LR is totally up-to-date. Any ideas?Screenshot 2015-05-18 10.16.25.png

        • 1. Re: Can't import from other LR catelog?
          dj_paige Level 9

          This happens if you have a LR 6 catalog and you are trying to import into LR 5.

           

          So you need to double check which version of Lightroom you are working with (saying "totally up-to-date" is meaningless in this context). What is the full complete version number of the Lightroom you have open? What version created the catalog?

          • 2. Re: Can't import from other LR catelog?
            rugfoot Level 1

            Yes, I seem to have two incompatible (though seemingly very similar) types of LR going. One (the "newer" one) is called LR CC and the other is LR 5.7.1 (the one that says it is uptodate). OK, so when I downloaded this new "CC" version, why wasn't it clear that this version would be incompatible with totally up-to-date LR. Why even is it incompatible? Seems totally stupid.

            • 3. Re: Can't import from other LR catelog?
              dj_paige Level 9

              You Lightroom 5 catalog is compatible with LR CC and can be upgraded to LR CC.

               

              If you created a catalog in Lightroom CC, it cannot be imported into LR 5, that is why you are getting this error message.

              • 4. Re: Can't import from other LR catelog?
                rugfoot Level 1

                Yes, I realise now they're two different things. But why oh why, when I asked to upgrade LR 5, doesn't it say: "Your upgrade will be to CC", instead of telling me (misleadingly) that I'm totally up-to-date. Isn't CC just a more up-to-date version of 5?!?

                 

                So I've fixed the problem by installing CC (not updating 5) on the computer that had 5 before. Thanks for your help with this!

                • 5. Re: Can't import from other LR catelog?
                  dj_paige Level 9

                  When Lightroom 5 says you are up-to-date, it means you have the latest version of Lightroom 5. It says nothing about whether or not you have versions beyond version 5.

                   

                  I know that's a confusing way for Adobe to do things, but that's what it is.

                  • 6. Re: Can't import from other LR catelog?
                    rugfoot Level 1

                    Confusing is putting it politely. If it's a different product, why not give it a different name? And if it's not a different product, make people aware of the new versions. But I see now there's a (confusing) difference between a "new version" and "an update". Why doesn't Adobe say something like "Why not get the new LR CC?" instead of just "You are up-to-date" (when that isn't strictly true if you consider a new version to be exactly that (ie a version of an older product). Hey ho!